Package org.apache.wiki.xmlrpc

## Class AbstractRPCHandler

- java.lang.Object
- - org.apache.wiki.xmlrpc.AbstractRPCHandler

All Implemented Interfaces:
  `WikiRPCHandler`

Direct Known Subclasses:
  `RPCHandler`, `RPCHandlerUTF8`

    public abstract class AbstractRPCHandler
    extends java.lang.Object
    implements WikiRPCHandler

Provides definitions for RPC handler routines.

Since:
  1.6.13

### Field Summary

Fields
`static int` `ERR_NOPAGE` Error code: no such page.
`static int` `ERR_NOPERMISSION`
`static java.lang.String` `LINK_EXTERNAL` Link to an external resource.
`static java.lang.String` `LINK_INLINE` This is an inlined image.
`static java.lang.String` `LINK_LOCAL` Link to a local wiki page.
`protected Context` `m_context`
`protected Engine` `m_engine`
`static int` `RPC_VERSION` This is the currently implemented JSPWiki XML-RPC code revision.

### Constructor Summary

Constructors
`AbstractRPCHandler()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected void` `checkPermission​(java.security.Permission perm)` Checks whether the current user has permission to perform the RPC action; throws an exception if not allowed by `AuthorizationManager`.
`protected abstract java.util.Hashtable` `encodeWikiPage​(Page p)`
`java.util.Vector` `getRecentChanges​(java.util.Date since)`
`int` `getRPCVersionSupported()` Returns the current supported JSPWiki XML-RPC API.
`void` `initialize​(Context context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ERR_NOPAGE

    public static final int ERR_NOPAGE

Error code: no such page.

See Also:
  Constant Field Values

#### ERR_NOPERMISSION

    public static final int ERR_NOPERMISSION

See Also:
  Constant Field Values

#### LINK_LOCAL

    public static final java.lang.String LINK_LOCAL

Link to a local wiki page.

See Also:
  Constant Field Values

#### LINK_EXTERNAL

    public static final java.lang.String LINK_EXTERNAL

Link to an external resource.

See Also:
  Constant Field Values

#### LINK_INLINE

    public static final java.lang.String LINK_INLINE

This is an inlined image.

See Also:
  Constant Field Values

#### m_engine

    protected Engine m_engine

#### m_context

    protected Context m_context

#### RPC_VERSION

    public static final int RPC_VERSION

This is the currently implemented JSPWiki XML-RPC code revision.

See Also:
  Constant Field Values

### Constructor Detail

#### AbstractRPCHandler

    public AbstractRPCHandler()

### Method Detail

#### initialize

    public void initialize​(Context context)

Specified by:
  `initialize` in interface `WikiRPCHandler`

#### encodeWikiPage

    protected abstract java.util.Hashtable encodeWikiPage​(Page p)

#### getRecentChanges

    public java.util.Vector getRecentChanges​(java.util.Date since)

#### checkPermission

    protected void checkPermission​(java.security.Permission perm)

Checks whether the current user has permission to perform the RPC action; throws an exception if not allowed by `AuthorizationManager`.

Parameters:
  `perm` - the Permission to check

#### getRPCVersionSupported

    public int getRPCVersionSupported()

Returns the current supported JSPWiki XML-RPC API.